org.apache.tinkerpop.gremlin.server.handler

## Class GremlinResponseFrameEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<ResponseMessage>
      - - org.apache.tinkerpop.gremlin.server.handler.GremlinResponseFrameEncoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

      @ChannelHandler.Sharable
      public class GremlinResponseFrameEncoder
      extends io.netty.handler.codec.MessageToMessageEncoder<ResponseMessage>

  Ensures that any `ResponseMessage` manages to get converted to a `Frame`. By converting to `Frame` downstream protocols can treat the generic `Frame` any way it wants (e.g. write it back as a byte array, websocket frame, etc).
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinResponseFrameEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encode(io.netty.channel.ChannelHandlerContext ctx, ResponseMessage o, List<Object> objects)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### GremlinResponseFrameEncoder

          public GremlinResponseFrameEncoder()

  - ### Method Detail

    - #### encode

          protected void encode(io.netty.channel.ChannelHandlerContext ctx,
                                ResponseMessage o,
                                List<Object> objects)
                         throws Exception

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<ResponseMessage>`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.